Package org.opengis.cite.ogcapifeatures10.listener

# Class SuiteFixtureListener

java.lang.Object
org.opengis.cite.ogcapifeatures10.listener.SuiteFixtureListener

All Implemented Interfaces:
  `org.testng.ISuiteListener`, `org.testng.ITestNGListener`

public class SuiteFixtureListener extends Object implements org.testng.ISuiteListener
A listener that performs various tasks before and after a test suite is run, usually concerned with maintaining a shared test suite fixture. Since this listener is loaded using the ServiceLoader mechanism, its methods will be called before those of other suite listeners listed in the test suite definition and before any annotated configuration methods. Attributes set on an ISuite instance are not inherited by constituent test group contexts (ITestContext). However, suite attributes are still accessible from lower contexts.

See Also:
  - `ISuite interface`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuiteFixtureListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `deleteTempFiles(org.testng.ISuite suite)`
  Deletes temporary files created during the test run if TestSuiteLogger is enabled at the INFO level or higher (they are left intact at the CONFIG level or lower).
  `void`
  `onFinish(org.testng.ISuite suite)`
  `void`
  `onStart(org.testng.ISuite suite)`
  `(package private) void`
  `processSuiteParameters(org.testng.ISuite suite)`
  Processes test suite arguments and sets suite attributes accordingly.
  `(package private) void`
  `registerClientComponent(org.testng.ISuite suite)`
  A client component is added to the suite fixture as the value of the `SuiteAttribute.CLIENT` attribute; it may be subsequently accessed via the `ITestContext.getSuite()` method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SuiteFixtureListener

    public SuiteFixtureListener()

- ## Method Details

  - ### onStart

    public void onStart(org.testng.ISuite suite)
    Specified by:
      `onStart` in interface `org.testng.ISuiteListener`

  - ### onFinish

    public void onFinish(org.testng.ISuite suite)
    Specified by:
      `onFinish` in interface `org.testng.ISuiteListener`

  - ### processSuiteParameters

    void processSuiteParameters(org.testng.ISuite suite)
    Processes test suite arguments and sets suite attributes accordingly. The entity referenced by the `iut` argument is retrieved and written to a File that is set as the value of the suite attribute `testSubjectFile`.
    Parameters:
      `suite` - An ISuite object representing a TestNG test suite.

  - ### registerClientComponent

    void registerClientComponent(org.testng.ISuite suite)
    A client component is added to the suite fixture as the value of the `SuiteAttribute.CLIENT` attribute; it may be subsequently accessed via the `ITestContext.getSuite()` method.
    Parameters:
      `suite` - The test suite instance.

  - ### deleteTempFiles

    void deleteTempFiles(org.testng.ISuite suite)
    Deletes temporary files created during the test run if TestSuiteLogger is enabled at the INFO level or higher (they are left intact at the CONFIG level or lower).
    Parameters:
      `suite` - The test suite.